{ config, ... }:
{
  imports = [ ./nginx ];

  services = {
    syncthing = {
      enable = config.system.server.enable;
      user = config.sysusers.main;
      group = "users";
      dataDir = "/export/KittyNFS";
      configDir = "/export/KittyNFS/.syncthing";
      overrideDevices = true;
      overrideFolders = true;
      openDefaultPorts = true;
      guiAddress = "sync.${config.domains.p2}";
      settings = {
        devices = {
          "Pixel9" = { id = "DRUXHC7-APMWWE7-2R4U4UJ-4E5D2PR-G2X7DCI-5MRRZV5-FQCHCDQ-5Q4X7    AY"; };
        };
        folders = {
          "JimBops" = {
            path = "/export/KittyNFS/Music/JimBops";
            devices = [ "Pixel9" ];
            ignorePerms = false;
          };
        };
        gui = {
          user = config.sysusers.main;
          password = "password";
        };
      };
    };
  };
}
